SystemOrganization addCategory: #TOcurricula!

Object subclass: #Consultor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TOcurricula'!

!Consultor methodsFor: 'as yet unclassified' stamp: 'AngelaMayhuaQuispe 11/8/2012 18:44'!
conectarTo: cad
	| dir parser jsonObject json subs root|
	(cad ~= '') ifTrue: [dir := cad] 
		ifFalse: [dir := 'http://spreadsheets.google.com/feeds/list/0AjE_p7Re6WDHdEJKUEVIM0dLWlY1TjRPZnQ1ZnVyVGc/od6/public/values?alt=json'].		
	parser := PPParserResource current parserAt: PPJsonParser.
	json := (Url absoluteFromText: dir) retrieveContents contents.
	jsonObject := parser parse: json.
	jsonObject explore! !

Object subclass: #Visualizador
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TOcurricula'!

!Visualizador methodsFor: 'as yet unclassified' stamp: 'AngelaMayhuaQuispe 11/8/2012 23:59'!
cargarData: arc
	"En esta funcion vamos a abrir el file que contiene la informacion que se graficara
	y se devolver la matriz o array que contiene la informacion de los cursos"
	| arch col stream1 stream2 mat data cad |
	arch := FileStream fileNamed: arc.
	mat := OrderedCollection new.
	data := OrderedCollection new.
	stream1 := (arch contentsOfEntireFile) readStream .
	stream2 := (arch contentsOfEntireFile) readStream .
	[stream1 atEnd not & stream2 atEnd not] whileTrue: [
		stream1 skipTo: $%.	"encuentra el simbolo de separacion"
		cad := stream2 next: ((stream1 position - stream2 position )- 1).
		mat add: cad asString. 
		stream2 next. 	"avanza una posicion despues del simbolo de separacion para leer la nueva palabra"
		(stream2 peek = $#) ifTrue: [ stream2 next. data add: mat. mat := OrderedCollection new. ]
	].
	^data.! !

!Visualizador methodsFor: 'as yet unclassified' stamp: 'AngelaMayhuaQuispe 11/9/2012 09:35'!
mostrar: data
	|view cursos cabecera |
	cursos := Visualizador new cargarData: data .	"Cargamos la matriz de los cursos que tenemos almacenados"
	cabecera := cursos first .
	cursos removeFirst .
	view := MOViewRenderer new.
	view nodes: cursos forEach: [:cls |  | cod|
		cod := cls first .
		view interaction forward.
		view shape label.
		view node: cod.

	].
	"view edgesFrom: #superclass."
	"view edges: {(cls first )->(cls at:4).(cls first )->(cls at:5).(cls first )->(cls at:6).(cls first )->(cls at:7)} from: #key to:	#value."
	view treeLayout. 
	view open ! !
